#!/usr/bin/env python

import evas
import ecore
import ecore.evas

evas.init()
ecore.init()
ecore.evas.init()

class MyObject(evas.SmartObject):
    def __init__(self, canvas, *a, **ka):
        evas.SmartObject.__init__(self, canvas, *a, **ka)
        self.callback_add("teste", self.cb_teste)
        self.callback_add("teste", self.cb_teste2)

        self.r1 = evas.Rectangle(canvas, geometry=(0, 0, 20, 20),
                                 color="#ff0000")
        self.member_add(self.r1)
        self.r2 = evas.Rectangle(canvas, geometry=(10, 10, 20, 20),
                                 color="#00ff00")
        self.member_add(self.r2)

    def hide(self):
        evas.SmartObject.hide(self)
        print "MyObject hide", self

    @staticmethod
    def cb_teste(self, info):
        print "cb_teste:", info

    @staticmethod
    def cb_teste2(self, info):
        print "cb_teste2:", info


def main():
    ee = ecore.evas.SoftwareX11_16(w=640, h=480)
    canvas = ee.evas

    bg = canvas.Rectangle(color="#ffffff")
    bg.size = canvas.size
    bg.show()

    so = MyObject(canvas)
    so.size = (100, 100)
    so.center = canvas.rect.center
    so.show()
    so.callback_call("teste", 1234)

    def resize_cb(ee):
        ee.data["bg"].size = ee.evas.size
        ee.data["so"].center = ee.evas.rect.center
    ee.data["bg"] = bg
    ee.data["so"] = so
    ee.callback_resize = resize_cb

    ee.show()
    ecore.main_loop_begin()

main()
ecore.evas.shutdown()
ecore.shutdown()
evas.shutdown()
