#!/bin/bash
# Helper functions for utility scripts.

COLOR_GOOD="\033[1;32m"
COLOR_WARN="\033[1;33m"
COLOR_ERROR="\033[1;31m"
COLOR_NORMAL="\033[0m"

# error <message>
error() {
    echo -e " ${COLOR_ERROR}* E:${COLOR_NORMAL} $*"
    exit 1
}

# warn <message>
warn() {
    echo -e " ${COLOR_WARN}* W:${COLOR_NORMAL} $*"
}

# msg <message>
msg() {
    echo -e " ${COLOR_GOOD}*${COLOR_NORMAL} $*"
}

# msg_begin <message>
msg_begin() {
    echo -en " ${COLOR_GOOD}*${COLOR_NORMAL} $* ..."
}

# msg_end <error-code>
msg_end() {
    echo -en "\033[72G"
    if [ $1 -eq 0 ]; then
        echo -e "[ ${COLOR_GOOD}ok${COLOR_NORMAL} ]"
    else
        echo -e "[${COLOR_ERROR}fail${COLOR_NORMAL}]"
        exit 1
    fi
}
